Summary:	A GNU source-level debugger for C, C++ and other languages.
Name:		gdb
Version:	6.3
Release:	1
License:	GPL
Group:		Development/Debuggers
Source0:	ftp://ftp.gnu.org/gnu/gdb/%{name}-%{version}.tar.bz2
Patch0:		gdb-6.3-fix-ncurses-include-gd-1.diff
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	ncurses-devel glibc-devel gcc make gzip

%description
GDB, the GNU debugger, allows you to debug programs written in C, C++,
and other languages, by executing them in a controlled fashion and
printing their data.

%files
  %defattr(0444,root,root,0555)
  %doc COPYING COPYING.LIB README
  %doc %{_mandir}/man1/*
  %doc %{_infodir}/*.info*

  %attr(0500,root,root)		%{_bindir}/*

%prep
%setup -q
%patch0 -p1
  rm -fr gdb/gdbserver

  cat > gdb/version.in << EOF
EnGarde Secure Linux (%{version}-%{release})
EOF

%build
  export CFLAGS="$RPM_OPT_FLAGS"
  rm -fr dejagnu tcl expect 

  %configure

  make %{?_smp_mflags} CFLAGS="-I/usr/include/ncurses"
  make info

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  %makeinstall infodir=$RPM_BUILD_ROOT/${_infodir} prefix=$RPM_BUILD_ROOT/%{_prefix}

  # The above is broken, do this for now:
  mkdir -p $RPM_BUILD_ROOT/%{_infodir}
  cp `find -name "*.info*"` $RPM_BUILD_ROOT/%{_infodir}

  # Remove unpackaged files.
  rm -f  $RPM_BUILD_ROOT/*info*
  rm -f  $RPM_BUILD_ROOT/dir
  rm -fr $RPM_BUILD_ROOT/%{_datadir}/locale
  rm -fr $RPM_BUILD_ROOT/%{_includedir}
  rm -f  $RPM_BUILD_ROOT/%{_infodir}/dir
  rm -f  $RPM_BUILD_ROOT/%{_infodir}/bfd*
  rm -f  $RPM_BUILD_ROOT/%{_infodir}/configure.info*
  rm -f  $RPM_BUILD_ROOT/%{_infodir}/dir.info* 
  rm -f  $RPM_BUILD_ROOT/%{_infodir}/history.info*
  rm -f  $RPM_BUILD_ROOT/%{_infodir}/readline.info*
  rm -f  $RPM_BUILD_ROOT/%{_infodir}/rluserman.info*
  rm -f  $RPM_BUILD_ROOT/%{_infodir}/standard*
  rm -fr $RPM_BUILD_ROOT/%{_libdir}/lib{bfd*,opcodes*,iberty.a}

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jun 28 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 6.3, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
